# NAG-IoT zadání pro 2. kolo

**Hlavní téma - ovládání chytrého domu**

## Zadání:
13\. Zprovozněte modul ESP8266 jako základ klientské meteostanice připojené bezdrátově k RPi.
- Doporučujeme použít Arduino IDE s rozšířením pro desky ESP.


14\. Připojte čidla teploty, vlhkosti a osvětlení a měřte pravidelně uvedené veličiny.

15\. Získaná data odesílejte na RPi.

16\. Na Raspberry zprovozněte aplikaci pro zobrazení dat z meteostanice.

17\. Získaná data z meteostanice přeposílejte i na soutěžní server.

18\. Sestavte obvod pro autonomní napájení klientské meteostanice (baterie, solární panel, nabíjecí obvod...) včetně sledování napětí baterie. Informace o stavu baterie odesílejte spolu s meteodaty.

19\. Sestavte i mechanicky modul meteostanice s přiměřenou ochranou proti atmosférickým vlivům a umístěte ji v terénu.

20\. Vytvořte ovládací aplikaci pro kompletní funkcionalitu chytrého domu (ovládání komponent z 1. kola a data z meteostanice).

21\. Natočte prezentační video, které představí výsledek dosažený v tomto kole **včetně ukázky splněných jednotlivých bodů ze zadání**. Video uložte na Youtube a sdílejte dle pravidel soutěže. V dokumentaci uveďte URL videa. Maximální délka videa je 3 minuty.

22\. Veškeré provedené práce dokumentujte zdrojovými kódy, podrobným popisem řešení, včetně obrazové nebo fotodokumentace. Věnujte prosím pozornost tomu, aby veškeré zdrojové kódy včetně dokumentace byly uloženy na GIT serveru soutěže. Návody a postup, ke každému úkolu, ukládejte do souboru “README.md” (ve formátu wiki) v příslušném adresáři úkolu. **Do termínu odevzdání nezapomeňte vyplnit připravenou tabulku splněných úkolů ve vašem repozitáři**. Samotné odevzdání proběhne automaticky zkopírováním obsahu větve master vašeho repozitáře uloženého na GIT serveru k datu 26.2.2020 23:59.

